Description

Toolbar in the framework would be enhanced if the sort order were something that
could be set by plugins, and if plugins could register more than just buttons as
widgets for the toolbar. This goes beyond the capabilities of the current

Action interface, so it'll require an alternative approach.

History

#1 - 09/02/2002 08:40 PM - Dan Higgins

The bug fix described here may not be needed as of Java 1.3. The Action class
was changed in Java 1.3 as described in
http://java.sun.com/j2se/1.3/docs/quide/swing/ActionsChanges.html.

It is now recommended that Components be added to Toolbars, menus, etc. and that
the 'setAction' command then be used on the component to attach an Action. or as
stated in the Java Tutorial " as of v 1.3, you can invoke setAction [(in the API
reference documentation)] on all menu items and buttons. We no longer recommend
using the tool bar and menu add(Action) methods."
http://java.sun.com/docs/books/tutorial/uiswing/misc/action.html

Dan Higgins

#2 - 11/06/2002 01:12 PM - Matt Jones

Buttons seem to be adequate for now. Marking as WONTFIX.

#3 - 03/27/2013 02:13 PM - Redmine Admin
Original Bugzilla ID was 256
